%define milterver 1.0.8
%define rpmrel 1

# Put `mdk' at end of release name for builds on Mandrake
%define is_mandrake %(if %{__grep} '^Mandrake Linux' /etc/redhat-release >/dev/null 2>&1; then echo 1; else echo 0; fi)
%if %{is_mandrake}
%define rpmrelease %{rpmrel}mdk
%else
%define rpmrelease %{rpmrel}
%endif

# Where to put the initscript
%{!?_initrddir: %define _initrddir /etc/rc.d/init.d}

Summary:	SPF mail filter module
Name:		spfmilter
Version:	%{milterver}
Release:	%{rpmrelease}
License:	ACME Labs Freeware License
Group:		System Environment/Daemons
Url:		http://www.acme.com/software/spfmilter/
Source0:	http://www.libspf2.org/patch/%{name}-%{version}.tar.gz
Source1:	redhat.init
Source2:	spfmilter.sysconfig
Source3:	RPM-HOWTO
Requires:	sendmail >= 8.12, libspf2 >= 1.0.4-6
BuildRequires:	sendmail-devel >= 8.12, libspf2-devel >= 1.0.4-3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Prereq:		chkconfig >= 1.3, shadow-utils

%description
Spfmilter implements the Sender Policy Framework (http://spf.pobox.com/)
as a milter, using the libspf2 library.

The idea of SPF is to prevent email forgery.  Each participating
domain sets up a little definition of which hosts are allowed to send
mail claiming to be from that domain.  When another site receives
mail, it checks the permitted-senders definition for the originating
domain.  If the check fails, the mail is rejected.

%prep
%setup -q
%{__cp} %{SOURCE1} %{SOURCE2} rc-scripts
%{__cp} %{SOURCE3} .
: > spfmilter-whitelist
: > spfmilter-fallback

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir}
%{__make} %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" -a ! -z "$RPM_BUILD_ROOT" ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} -p $RPM_BUILD_ROOT{/etc/{sysconfig,mail},%{_initrddir}}
%{__install} -m 755 rc-scripts/redhat.init $RPM_BUILD_ROOT%{_initrddir}/spfmilter
%{__install} -m 755 rc-scripts/spfmilter.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/spfmilter
%{__install} -m 644 spfmilter-whitelist $RPM_BUILD_ROOT/etc/mail
%{__install} -m 644 spfmilter-fallback $RPM_BUILD_ROOT/etc/mail
%{__install} -d -m 700 $RPM_BUILD_ROOT%{_var}/run/spfmilter

%clean
[ "$RPM_BUILD_ROOT" != "/" -a ! -z "$RPM_BUILD_ROOT" ] && %{__rm} -rf $RPM_BUILD_ROOT

%pre
# Create user spfmilt to run the milter
/usr/sbin/useradd -r -d /etc/mail -s /sbin/nologin \
	-c "SPF Milter" spfmilt >/dev/null 2>&1 || :
exit 0

%post
/sbin/chkconfig --add spfmilter
exit 0

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del spfmilter
	/usr/sbin/userdel spfmilt 2>/dev/null || :
	/usr/sbin/groupdel spfmilt 2>/dev/null || :
fi
exit 0

%files
%defattr(-,root,root)
%{_sbindir}/spfmilter
%{_mandir}/man8/spfmilter.8*
%{_initrddir}/spfmilter
%dir %attr(-,spfmilt,spfmilt) %{_var}/run/spfmilter
%config (noreplace) /etc/sysconfig/spfmilter
%config (noreplace) /etc/mail/spfmilter-whitelist
%config (noreplace) /etc/mail/spfmilter-fallback
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README RPM-HOWTO

%changelog
* Tue Aug 10 2004 Paul Howarth <paul@city-fan.org> 1.0.8-1
- update to Shevek's 1.0.8 version (Jef's 0.93)

* Sun Aug  8 2004 Paul Howarth <paul@city-fan.org> 1.0.7-5
- added patch to bump spfmilter to Jef's version 0.93
- require libspf2 >= 1.0.4-6 to avoid case sensitivity bug

* Fri Aug  6 2004 Paul Howarth <paul@city-fan.org> 1.0.7-4
- remove large buffers patch, not thread safe

* Fri Aug  6 2004 Paul Howarth <paul@city-fan.org> 1.0.7-3
- added patch to bump spfmilter to Jef's version 0.92
- added patch to stop allocating large buffers on stack
- remove patches added in 1.0.7-2, now incorporated upstream

* Thu Jul 29 2004 Paul Howarth <paul@city-fan.org> 1.0.7-2
- initscript fixed so that `service spfmilter stop|restart' will
  recover from crash
- added patch to bump spfmilter to Jef's version 0.90
- added patch to use only the sender's domain name rather than full
  address for fallback pattern matching
- added patch to remove only Received-SPF: headers that appear to have
  originated at our host

* Thu Jul 29 2004 Paul Howarth <paul@city-fan.org> 1.0.7-1
- update to 1.0.7
- remove trusted-forwarders patch, now incorporated upstream
- autoconf and automake no longer needed for build

* Wed Jul 28 2004 Paul Howarth <paul@city-fan.org> 1.0.6-4
- remove -pthread, which doesn't help
- add patch to fix --recipientmx

* Tue Jul 27 2004 Paul Howarth <paul@city-fan.org> 1.0.6-3
- build with -pthread to see if it un-breaks --recipientmx.

* Thu Jul 15 2004 Paul Howarth <paul@city-fan.org> 1.0.6-2
- revert configure.ac patch, no longer needed now that libspf2-devel
  includes the libtool library.
- remove references to %{_sysconfdir}, not portable enough.

* Wed Jul 14 2004 Paul Howarth <paul@city-fan.org> 1.0.6-1
- update to 1.0.6
- fix configure.ac to detect need for -lresolv

* Tue Jul 13 2004 Paul Howarth <paul@city-fan.org> 1.0.5-1
- update to 1.0.5
- all patches removed due to having been incorporated upstream
- RPM-HOWTO updated to remove defunct section on logging and add
  items on whitelist and fallback records
- add patch to fix reference to trusted-forwarder.org that is
  incorrectly pointing to non-existent domain trusted-forwarder.com
- move mandir override from %%install to %%build
- change PreReq for /usr/sbin/useradd to shadow-utils
- add empty default fallback and whitelist files in /etc/mail

* Wed Jul 07 2004 Paul Howarth <paul@city-fan.org> 1.0.4-2
- added option to write PID file
- used PID file option in initscript

* Mon Jul 05 2004 Paul Howarth <paul@city-fan.org> 1.0.4-1
- First RPM version.
